public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Petr Lautrbach <plautrba@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: load_policy: start the audit daemon if it is not running
Date: Fri, 11 Sep 2026 13:17:43 GMT [thread overview]
Message-ID: <178913266323.1.17200015821619784634.tests-selinux-920603d12043@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 920603d1204364d1a3c56b96ee5044ed629b4078
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2020-01-09T13:29:16+01:00
Stats : +5/-1 in 2 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/920603d1204364d1a3c56b96ee5044ed629b4078?branch=pr775-checkpolicy-revdeps
Log:
load_policy: start the audit daemon if it is not running
---
diff --git a/policycoreutils/load_policy/Makefile b/policycoreutils/load_policy/Makefile
index ffee588..f2a61ac 100644
--- a/policycoreutils/load_policy/Makefile
+++ b/policycoreutils/load_policy/Makefile
@@ -53,7 +53,7 @@ $(METADATA): Makefile
@echo "Type: Sanity" >> $(METADATA)
@echo "TestTime: 5m" >> $(METADATA)
@echo "RunFor: policycoreutils" >> $(METADATA)
- @echo "Requires: audit policycoreutils selinux-policy-targeted" >> $(METADATA)
+ @echo "Requires: audit policycoreutils selinux-policy-targeted initscripts" >> $(METADATA)
@echo "Priority: Normal" >> $(METADATA)
@echo "License: GPLv2" >> $(METADATA)
@echo "Confidential: no" >> $(METADATA)
diff --git a/policycoreutils/load_policy/runtest.sh b/policycoreutils/load_policy/runtest.sh
index 210950e..73fdc3a 100755
--- a/policycoreutils/load_policy/runtest.sh
+++ b/policycoreutils/load_policy/runtest.sh
@@ -43,6 +43,10 @@ rlJournalStart
rlRun "ls -l `which load_policy`"
BINARY_POLICY=`find /etc/selinux/targeted -type f -name policy.?? | sort -n | tail -n 1`
rlRun "ls -l ${BINARY_POLICY}"
+ if ! pgrep -x auditd ; then
+ rlRun "service auditd start"
+ sleep 1
+ fi
rlPhaseEnd
rlPhaseStartTest
reply other threads:[~2026-09-11 13:17 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913266323.1.17200015821619784634.tests-selinux-920603d12043@fedoraproject.org \
--to=plautrba@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox